package com.sonic.lion.enums;

import lombok.Getter;

@Getter
public enum FreeWithdrawReason {


    /**
     * 商家积分
     */
    SHOP_LEVEL("SHOP_LEVEL", "Congratulations, your store rating is 95 or above! We will waive the 10% commission when you pay while withdrawing." ),

    /**
     * 天使用户
     */
    ANGEL_USER("ANGEL_USER", "Because you are the top 500 E-Pals, we will waive your 10% commission." ),


    /**
     * 运营
     */
    OPERATION("OPERATION", "Congratulations, we have waived your 10% commission!"),

    ;

    private String name;
    private String desc;

    FreeWithdrawReason(String name, String desc) {
        this.desc = desc;
        this.name = name;
    }
}
